Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Interface WTypes

    public interface WTypes

Constant defined in WTypes.h

Field Summary
`static int` | `CLSCTX_ACTIVATE_32_BIT_SERVER`
`static int` | `CLSCTX_ACTIVATE_64_BIT_SERVER`
`static int` | `CLSCTX_DISABLE_AAA`
`static int` | `CLSCTX_ENABLE_AAA`
`static int` | `CLSCTX_ENABLE_CODE_DOWNLOAD`
`static int` | `CLSCTX_FROM_DEFAULT_CONTEXT`
`static int` | `CLSCTX_INPROC_HANDLER`
`static int` | `CLSCTX_INPROC_HANDLER16`
`static int` | `CLSCTX_INPROC_SERVER`
`static int` | `CLSCTX_INPROC_SERVER16`
`static int` | `CLSCTX_LOCAL_SERVER`
`static int` | `CLSCTX_NO_CODE_DOWNLOAD`
`static int` | `CLSCTX_NO_CUSTOM_MARSHAL`
`static int` | `CLSCTX_NO_FAILURE_LOG`
`static int` | `CLSCTX_REMOTE_SERVER`
`static int` | `CLSCTX_RESERVED1`
`static int` | `CLSCTX_RESERVED2`
`static int` | `CLSCTX_RESERVED3`
`static int` | `CLSCTX_RESERVED4`
`static int` | `CLSCTX_RESERVED5`

Field Detail

### CLSCTX_INPROC_SERVER

    static final int CLSCTX_INPROC_SERVER

See Also:
  Constant Field Values

### CLSCTX_INPROC_HANDLER

    static final int CLSCTX_INPROC_HANDLER

See Also:
  Constant Field Values

### CLSCTX_LOCAL_SERVER

    static final int CLSCTX_LOCAL_SERVER

See Also:
  Constant Field Values

### CLSCTX_INPROC_SERVER16

    static final int CLSCTX_INPROC_SERVER16

See Also:
  Constant Field Values

### CLSCTX_REMOTE_SERVER

    static final int CLSCTX_REMOTE_SERVER

See Also:
  Constant Field Values

### CLSCTX_INPROC_HANDLER16

    static final int CLSCTX_INPROC_HANDLER16

See Also:
  Constant Field Values

### CLSCTX_RESERVED1

    static final int CLSCTX_RESERVED1

See Also:
  Constant Field Values

### CLSCTX_RESERVED2

    static final int CLSCTX_RESERVED2

See Also:
  Constant Field Values

### CLSCTX_RESERVED3

    static final int CLSCTX_RESERVED3

See Also:
  Constant Field Values

### CLSCTX_RESERVED4

    static final int CLSCTX_RESERVED4

See Also:
  Constant Field Values

### CLSCTX_NO_CODE_DOWNLOAD

    static final int CLSCTX_NO_CODE_DOWNLOAD

See Also:
  Constant Field Values

### CLSCTX_RESERVED5

    static final int CLSCTX_RESERVED5

See Also:
  Constant Field Values

### CLSCTX_NO_CUSTOM_MARSHAL

    static final int CLSCTX_NO_CUSTOM_MARSHAL

See Also:
  Constant Field Values

### CLSCTX_ENABLE_CODE_DOWNLOAD

    static final int CLSCTX_ENABLE_CODE_DOWNLOAD

See Also:
  Constant Field Values

### CLSCTX_NO_FAILURE_LOG

    static final int CLSCTX_NO_FAILURE_LOG

See Also:
  Constant Field Values

### CLSCTX_DISABLE_AAA

    static final int CLSCTX_DISABLE_AAA

See Also:
  Constant Field Values

### CLSCTX_ENABLE_AAA

    static final int CLSCTX_ENABLE_AAA

See Also:
  Constant Field Values

### CLSCTX_FROM_DEFAULT_CONTEXT

    static final int CLSCTX_FROM_DEFAULT_CONTEXT

See Also:
  Constant Field Values

### CLSCTX_ACTIVATE_32_BIT_SERVER

    static final int CLSCTX_ACTIVATE_32_BIT_SERVER

See Also:
  Constant Field Values

### CLSCTX_ACTIVATE_64_BIT_SERVER

    static final int CLSCTX_ACTIVATE_64_BIT_SERVER

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD